Skip to main content
GET
/
invoices
/
line-items
/
{id}
Retrieve an invoice line item
curl --request GET \
  --url https://api.syntage.com/invoices/line-items/{id} \
  --header 'X-API-Key: <api-key>'
{
  "@id": "/invoices/line-items/91106968-1abd-4d64-85c1-4e73d96fb997",
  "@type": "InvoiceLineItem",
  "id": "91106968-1abd-4d64-85c1-4e73d96fb997",
  "invoice": {
    "@id": "/invoices/91106968-1abd-4d64-85c1-4e73d96fb997",
    "@type": "Invoice",
    "id": "91106968-1abd-4d64-85c1-4e73d96fb997",
    "uuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
    "version": 3.3,
    "reference": "Branch-A",
    "internalIdentifier": "00001",
    "usage": "G03",
    "paymentType": "PUE",
    "paymentMethod": "04",
    "paymentTerms": "immediate_payment",
    "placeOfIssue": "01210",
    "issuer": {
      "rfc": "AOM920820BEA",
      "name": "APPLE OPERATIONS MEXICO S.A. DE C.V.",
      "taxRegime": 601,
      "blacklistStatus": null
    },
    "isIssuer": true,
    "receiver": {
      "rfc": "PEIC211118IS0",
      "name": "Pedro Infante Cruz",
      "blacklistStatus": "presumed"
    },
    "isReceiver": false,
    "currency": "MXN",
    "discount": 3324,
    "tax": 5224,
    "subtotal": 51349.8,
    "creditedAmount": 31.32,
    "subtotalCreditedAmount": 27,
    "total": 53249.8,
    "exchangeRate": 19.8,
    "paidAmount": 53249.8,
    "dueAmount": 0,
    "lastPaymentDate": "2023-11-07T05:31:56Z",
    "fullyPaidAt": "2023-11-07T05:31:56Z",
    "paymentTermsRaw": "Tarjeta de crédito",
    "status": "VIGENTE",
    "pac": "SAT970701NN3",
    "issuedAt": "2019-01-03T21:10:40.000Z",
    "certifiedAt": "2019-01-03T21:10:41.000Z",
    "cancellationStatus": "Cancelable con aceptación",
    "cancellationProcessStatus": "En proceso",
    "canceledAt": "2023-11-07T05:31:56Z",
    "relations": [
      {
        "@id": "/invoices/relations/93a197e7-6baa-5dc5-bf8d-fb1645a770c1",
        "@type": "InvoiceRelation",
        "id": "91106968-1abd-4d64-85c1-4e73d96fb997",
        "type": 7,
        "invoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
        "relatedInvoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
        "relatedInvoiceUuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
        "createdAt": "2020-01-01T12:15:00.000Z",
        "updatedAt": "2020-01-01T12:15:00.000Z"
      }
    ],
    "xml": true,
    "pdf": true,
    "createdAt": "2020-01-01T12:15:00.000Z",
    "updatedAt": "2020-01-01T12:15:00.000Z",
    "tags": [
      {
        "@id": "/tags/91106968-1abd-4d64-85c1-4e73d96fb997",
        "@type": "Tag",
        "id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
        "name": "To be reviewed",
        "resourceType": "invoice",
        "createdAt": "2020-01-01T12:15:00.000Z",
        "updatedAt": "2020-01-01T12:15:00.000Z"
      }
    ]
  },
  "identificationNumber": "<string>",
  "productIdentification": "50121537",
  "description": "Apple iPhone",
  "unitAmount": 70,
  "unitCode": "KGM",
  "quantity": 60,
  "discountAmount": 0,
  "totalAmount": 4200,
  "retainedTaxes": {
    "valueAddedTax": 0,
    "incomeTax": 0,
    "sinTax": 0
  },
  "transferredTaxes": {
    "valueAddedTax": 0,
    "sinTax": 0
  },
  "taxes": [
    {
      "type": "transferred",
      "tax": "002",
      "factor": {
        "type": "Tasa",
        "amount": 0.16
      },
      "amount": 672
    }
  ],
  "createdAt": "2020-01-01T12:15:00.000Z",
  "updatedAt": "2020-01-01T12:15:00.000Z"
}

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

id
string<uuid>
required

Invoice Line Item ID

Example:

"91106968-1abd-4d64-85c1-4e73d96fb997"

Response

Invoice Line Items response

@id
string<iri-reference>

Invoice Line Item IRI reference

Example:

"/invoices/line-items/91106968-1abd-4d64-85c1-4e73d96fb997"

@type
string
default:InvoiceLineItem
id
string<uuid>

Invoice line item ID

Example:

"91106968-1abd-4d64-85c1-4e73d96fb997"

invoice
object
identificationNumber
string | null

Seller-provided item or SKU identifier

productIdentification
string

SAT product or service code from the c_ClaveProdServ catalog

Example:

"50121537"

description
string

Line item description from the CFDI

Example:

"Apple iPhone"

unitAmount
number<double>

Unit price before quantity is applied

Example:

70

unitCode
string

SAT unit code from the c_ClaveUnidad catalog

Example:

"KGM"

quantity
number<double>

Quantity billed for this line item

Example:

60

discountAmount
number<double>

Discount amount applied to this line item

Example:

0

totalAmount
number<double>

Total line item amount after quantity and discounts

Example:

4200

retainedTaxes
object
transferredTaxes
object
taxes
object[]
deprecated

Deprecated raw CFDI tax breakdown; use retainedTaxes and transferredTaxes when possible

Example:
[
{
"type": "transferred",
"tax": "002",
"factor": { "type": "Tasa", "amount": 0.16 },
"amount": 672
}
]
createdAt
string

Date and time the resource was created

Example:

"2020-01-01T12:15:00.000Z"

updatedAt
string

Date and time the resource was last updated

Example:

"2020-01-01T12:15:00.000Z"